*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family: Arial, sans-serif;
}

.container{
    width:90%;
    max-width:1100px;
    margin:auto;
}

/* NAVBAR */
header{
    background:#0a7f3f;
    color:white;
    padding:15px 0;
}

.logo-box {
    display: flex;
    align-items: center;
    gap: 25px;
}

.logo-img {
    height: 60px;
    width: auto;
}

.logo {
    margin: 0;
}

.nav{
    display:flex;
    justify-content:space-between;
    align-items:center;
}

nav a{
    color:white;
    text-decoration:none;
    margin-left:20px;
    font-weight:bold;
}

a:hover {
    font-size: 20px;
}


/* HERO */
.hero{
    height:80vh;
    background:url("https://images.unsplash.com/photo-1464226184884-fa280b87c399") center/cover no-repeat;
    display:flex;
    justify-content:center;
    align-items:center;
    text-align:center;
    color:white;
}

.hero h1{
    font-size:50px;
}

.hero button{
    margin-top:20px;
    padding:12px 25px;
    border:none;
    background:#0a7f3f;
    color:white;
    font-size:16px;
    cursor:pointer;
}

/* ABOUT */
.about{
    padding: 60px 0;
    text-align:center;
    font-weight: 500;
}

.container {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

/* PRODUCTS */
.products{
    background:#f4f4f4;
    padding:60px 0;
    text-align:center;
}

.button {
    padding-top: 10px;
    padding-left: 40px;
    padding-bottom: 40px;
    padding-right: 40px;
    margin-left: 50px;
    margin-right: 50px;
}

.btn {
    height: auto;
    width: auto;
    border-radius: 20px;
    background-color: #e6e8e4;
    padding: 20px;
    margin: 8px;
    gap: 10px;
    text-align: center;
    border: none;
}

.btn:hover {
     transform: translateY(-2.5px) scale(1.05);
    box-shadow: 0 15px 30px rgba(0,0,0,0.3);
    background-color: #cce6a8;
    cursor: pointer;
}

.product-grid{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(250px,1fr));
    gap:20px;
    margin-top:30px;
}

.card {
    background:white;
    width: 250px;
    padding:20px;
    border-radius:12px;
    box-shadow:0 4px 10px rgba(0,0,0,0.15);
    transition: transform 0.3s ease,box-shadow 0.3s ease;
}

.card:hover {
    transform: translateY(-10px) scale(1.05);
    box-shadow: 0 15px 30px rgba(0,0,0,0.3);
    background-color: #cce6a8;
    cursor: pointer;
}

a {
    color: black;
    text-decoration: none;
}

img {
    max-width: 100%;
}

/* CONTACT */
.contact{
    padding: 60px 0;
    text-align:center;
}


/* Main content */
.main {
    margin-left: 50px;
    width: 95%;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

/* Contact section */
.contact-section {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 40px;
}

/* Contact card */
.contact-card {
    background: white;
    padding: 40px;
    width: 420px;
    border-radius: 10px;
    box-shadow: 0 10px 25px rgba(0,0,0,0.08);
    text-align: center;
}

.contact-card h1 {
    margin-bottom: 10px;
}

.contact-card p {
    color: #6b7280;
    margin-bottom: 25px;
}

/* Form */
.contact-card input,
.contact-card textarea {
    width: 100%;
    padding: 12px;
    margin-bottom: 15px;
    border: 1px solid #d1d5db;
    border-radius: 6px;
    font-size: 14px;
}

.contact-card button {
    width: 100%;
    padding: 12px;
    border: none;
    background: #10b981;
    color: white;
    font-size: 16px;
    border-radius: 6px;
    cursor: pointer;
    transition: 0.3s;
}

.contact-card button:hover {
    background: #059669;
}

/* Responsive */
@media (max-width: 768px) {
    .sidebar {
        position: relative;
        width: 100%;
        height: auto;
    }

    .main {
        margin-left: 0;
    }

    .contact-card {
        width: 100%;
    }

    .pt{
        height:auto;
        width: 100;
        font-size: 20px;
    }

    .button{
        width: 100%;
        height: auto;
        padding:auto;
        margin: auto;
    }

    .card{
        width: 100%;
        height: auto;
        padding:auto;
        margin: auto;
    }
}

/* FOOTER */
footer {
    background:#4b4a4a;
    color:white;
    text-align:center;
    padding:20px;
}



/* MOBILE MENU */
.menu-toggle{
    display:none;
    font-size:28px;
    cursor:pointer;
}

@media(max-width:768px){
    nav{
        position:absolute;
        top:60px;
        right:0;
        background:#0a7f3f;
        width:200px;
        display:none;
        flex-direction:column;
        margin: 0;
        z-index: 10;
    }

    nav a{
        margin:10px 0;
    }

    a{
        font-weight: bold;
        z-index: 10;
        font-size: larger;
    }

    .menu-toggle{
        display:block;
    }
}

/* HERO SLIDER */
.hero-slider{
    height:80vh;
    position:relative;
    overflow:hidden;
}

.slide{
    position:absolute;
    width:100%;
    height:100%;
    display:flex;
    justify-content:center;
    align-items:center;
    color:white;
    font-size:40px;
    background-size:cover;
    background-position:center;
    opacity:0;
    transition:1s;
}

.slide:nth-child(1){
    background-image:url("https://images.unsplash.com/photo-1464226184884-fa280b87c399");
}

.slide:nth-child(2){
    background-image:url("https://images.unsplash.com/photo-1501004318641-b39e6451bec6");
}

.slide:nth-child(3){
    background-image:url("https://images.unsplash.com/photo-1500595046743-cd271d694d30");
}

.slide.active{
    opacity:1;
}

/* SCROLL ANIMATION */
section{
    opacity:0;
    transform:translateY(40px);
    transition:1s;
}

section.show{
    opacity:1;
    transform:translateY(0);
}




/* PREVIOUS-NEXT*/

.pre-next {
    padding-top: 30px;
}